library IEEE;
use IEEE.std_logic_1164.all;

entity testbench is
	port (
		q_out : out std_logic;
		qb_out : out std_logic
	);
end;

architecture rtl of testbench is
component dff_1
	port(CLK, DATA : in std_logic; Q ,Qbar : out std_logic);
end component;
signal in_data, in_clk : std_logic;
begin

U1 : dff_1
	port map( data=>in_data,
		   clk=>in_clk,
		   q=>q_out,
		   qbar=>qb_out
	);
process begin
	in_clk <= '0';
	wait for 25 ns;
	in_clk <= '1';
	wait for 25 ns;
end process;

process begin
	in_data <= '1';
	wait for 130 ns;
	in_data <= '0';
	wait for 210 ns;
	in_data <= '1';
	wait for 180 ns;
	in_data <= '0';
	wait for 300 ns;
	in_data <= '1';
	wait;
end process;

end rtl;